LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY DECODIFICADOR IS PORT (
	A : IN std_logic_vector(1 DOWNTO 0);
	DECODIFICADOR : OUT std_logic_vector(3 DOWNTO 0);
	CSNEG : IN std_logic
); END DECODIFICADOR;



ARCHITECTURE STRUCTURE OF DECODIFICADOR IS

-- COMPONENTS

COMPONENT \74LS04\
	PORT (
	I_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I_B : IN std_logic;
	O_B : OUT std_logic;
	I_C : IN std_logic;
	O_C : OUT std_logic;
	I_D : IN std_logic;
	O_D : OUT std_logic;
	I_E : IN std_logic;
	O_E : OUT std_logic;
	I_F : IN std_logic;
	O_F : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS08\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	O_C : OUT std_logic;
	I0_D : IN std_logic;
	I1_D : IN std_logic;
	O_D : OUT std_logic
	); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic;
SIGNAL N00604 : std_logic;
SIGNAL N00413 : std_logic;
SIGNAL GND : std_logic;
SIGNAL VCC : std_logic;
SIGNAL DECO2 : std_logic;
SIGNAL DECO1 : std_logic;
SIGNAL N01675 : std_logic;
SIGNAL N01678 : std_logic;
SIGNAL DECO3 : std_logic;
SIGNAL N01681 : std_logic;
SIGNAL DECO0 : std_logic;
SIGNAL N01684 : std_logic;

-- INSTANCE ATTRIBUTES




-- GATE INSTANCES

BEGIN
U3 : \74LS04\	PORT MAP(
	I_A => orcad_unused, 
	O_A => OPEN, 
	VCC => OPEN, 
	GND => OPEN, 
	I_B => orcad_unused, 
	O_B => OPEN, 
	I_C => A(0), 
	O_C => N00413, 
	I_D => A(1), 
	O_D => N00604, 
	I_E => orcad_unused, 
	O_E => OPEN, 
	I_F => orcad_unused, 
	O_F => OPEN
);
U4 : \74LS08\	PORT MAP(
	I0_A => N00413, 
	I1_A => N00604, 
	O_A => N01684, 
	VCC => VCC, 
	GND => GND, 
	I0_B => N00413, 
	I1_B => A(1), 
	O_B => N01681, 
	I0_C => A(0), 
	I1_C => N00604, 
	O_C => N01675, 
	I0_D => A(1), 
	I1_D => A(0), 
	O_D => N01678
);
U10 : \74LS08\	PORT MAP(
	I0_A => N01684, 
	I1_A => CSNEG, 
	O_A => DECO0, 
	VCC => VCC, 
	GND => GND, 
	I0_B => N01681, 
	I1_B => CSNEG, 
	O_B => DECO1, 
	I0_C => N01675, 
	I1_C => CSNEG, 
	O_C => DECO2, 
	I0_D => N01678, 
	I1_D => CSNEG, 
	O_D => DECO3
);
END STRUCTURE;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY SR IS PORT (
	S : IN std_logic;
	Qnegado : OUT std_logic;
	Q : OUT std_logic;
	R : IN std_logic
); END SR;



ARCHITECTURE STRUCTURE OF SR IS

-- COMPONENTS

COMPONENT \74LS00\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	O_C : OUT std_logic;
	I0_D : IN std_logic;
	I1_D : IN std_logic;
	O_D : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS04\
	PORT (
	I_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I_B : IN std_logic;
	O_B : OUT std_logic;
	I_C : IN std_logic;
	O_C : OUT std_logic;
	I_D : IN std_logic;
	O_D : OUT std_logic;
	I_E : IN std_logic;
	O_E : OUT std_logic;
	I_F : IN std_logic;
	O_F : OUT std_logic
	); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic;
SIGNAL VCC : std_logic;
SIGNAL N00737 : std_logic;
SIGNAL N00740 : std_logic;
SIGNAL N00016 : std_logic;
SIGNAL N00028 : std_logic;
SIGNAL GND : std_logic;

-- INSTANCE ATTRIBUTES




-- GATE INSTANCES

BEGIN
QNEGADO<=N00016;
Q<=N00028;
U14 : \74LS00\	PORT MAP(
	I0_A => N00740, 
	I1_A => N00016, 
	O_A => N00028, 
	VCC => VCC, 
	GND => GND, 
	I0_B => N00028, 
	I1_B => N00737, 
	O_B => N00016, 
	I0_C => orcad_unused, 
	I1_C => orcad_unused, 
	O_C => OPEN, 
	I0_D => orcad_unused, 
	I1_D => orcad_unused, 
	O_D => OPEN
);
U15 : \74LS04\	PORT MAP(
	I_A => S, 
	O_A => N00740, 
	VCC => VCC, 
	GND => GND, 
	I_B => R, 
	O_B => N00737, 
	I_C => orcad_unused, 
	O_C => OPEN, 
	I_D => orcad_unused, 
	O_D => OPEN, 
	I_E => orcad_unused, 
	O_E => OPEN, 
	I_F => orcad_unused, 
	O_F => OPEN
);
END STRUCTURE;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY CELDA IS PORT (
	CS : IN std_logic;
	WE : IN std_logic;
	D : INOUT std_logic;
	RD : IN std_logic
); END CELDA;



ARCHITECTURE STRUCTURE OF CELDA IS

-- COMPONENTS

COMPONENT \74LS10\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	I2_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	I2_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	I2_C : IN std_logic;
	O_C : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS11\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	I2_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	I2_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	I2_C : IN std_logic;
	O_C : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS04\
	PORT (
	I_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I_B : IN std_logic;
	O_B : OUT std_logic;
	I_C : IN std_logic;
	O_C : OUT std_logic;
	I_D : IN std_logic;
	O_D : OUT std_logic;
	I_E : IN std_logic;
	O_E : OUT std_logic;
	I_F : IN std_logic;
	O_F : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS125\
	PORT (
	I_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	OE_A : IN std_logic;
	GND : IN std_logic;
	I_B : IN std_logic;
	O_B : OUT std_logic;
	OE_B : IN std_logic;
	I_C : IN std_logic;
	O_C : OUT std_logic;
	OE_C : IN std_logic;
	I_D : IN std_logic;
	O_D : OUT std_logic;
	OE_D : IN std_logic
	); END COMPONENT;

COMPONENT SR	 PORT (
	S : IN std_logic;
	Qnegado : OUT std_logic;
	Q : OUT std_logic;
	R : IN std_logic
); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic;
SIGNAL VCC : std_logic;
SIGNAL GND : std_logic;
SIGNAL N00344 : std_logic;
SIGNAL N00215 : std_logic;
SIGNAL N00107 : std_logic;
SIGNAL N00095 : std_logic;
SIGNAL N00104 : std_logic;
SIGNAL N00636 : std_logic;

-- INSTANCE ATTRIBUTES




-- GATE INSTANCES

BEGIN
U13 : \74LS10\	PORT MAP(
	I0_A => CS, 
	I1_A => N00344, 
	I2_A => RD, 
	O_A => N00215, 
	VCC => VCC, 
	GND => GND, 
	I0_B => orcad_unused, 
	I1_B => orcad_unused, 
	I2_B => orcad_unused, 
	O_B => OPEN, 
	I0_C => orcad_unused, 
	I1_C => orcad_unused, 
	I2_C => orcad_unused, 
	O_C => OPEN
);
U1 : \74LS11\	PORT MAP(
	I0_A => CS, 
	I1_A => D, 
	I2_A => WE, 
	O_A => N00104, 
	VCC => VCC, 
	GND => GND, 
	I0_B => CS, 
	I1_B => N00636, 
	I2_B => WE, 
	O_B => N00095, 
	I0_C => orcad_unused, 
	I1_C => orcad_unused, 
	I2_C => orcad_unused, 
	O_C => OPEN
);
U3 : \74LS04\	PORT MAP(
	I_A => orcad_unused, 
	O_A => OPEN, 
	VCC => OPEN, 
	GND => OPEN, 
	I_B => WE, 
	O_B => N00344, 
	I_C => orcad_unused, 
	O_C => OPEN, 
	I_D => orcad_unused, 
	O_D => OPEN, 
	I_E => orcad_unused, 
	O_E => OPEN, 
	I_F => orcad_unused, 
	O_F => OPEN
);
U9 : \74LS04\	PORT MAP(
	I_A => D, 
	O_A => N00636, 
	VCC => VCC, 
	GND => GND, 
	I_B => orcad_unused, 
	O_B => OPEN, 
	I_C => orcad_unused, 
	O_C => OPEN, 
	I_D => orcad_unused, 
	O_D => OPEN, 
	I_E => orcad_unused, 
	O_E => OPEN, 
	I_F => orcad_unused, 
	O_F => OPEN
);
U12 : \74LS125\	PORT MAP(
	I_A => N00107, 
	O_A => D, 
	VCC => VCC, 
	OE_A => N00215, 
	GND => GND, 
	I_B => orcad_unused, 
	O_B => OPEN, 
	OE_B => orcad_unused, 
	I_C => orcad_unused, 
	O_C => OPEN, 
	OE_C => orcad_unused, 
	I_D => orcad_unused, 
	O_D => OPEN, 
	OE_D => orcad_unused
);
SR : SR	PORT MAP(
	S => N00104, 
	Qnegado => OPEN, 
	Q => N00107, 
	R => N00095
);
END STRUCTURE;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY PALABRA IS PORT (
	D : INOUT std_logic_vector(1 DOWNTO 0);
	CS : IN std_logic;
	WE : IN std_logic;
	RD : IN std_logic
); END PALABRA;



ARCHITECTURE STRUCTURE OF PALABRA IS

-- COMPONENTS

COMPONENT CELDA	 PORT (
	CS : IN std_logic;
	WE : IN std_logic;
	D : INOUT std_logic;
	RD : IN std_logic
); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic;

-- INSTANCE ATTRIBUTES




-- GATE INSTANCES

BEGIN
CELDA0 : CELDA	PORT MAP(
	CS => CS, 
	WE => WE, 
	D => D(0), 
	RD => RD
);
CELDA1 : CELDA	PORT MAP(
	CS => CS, 
	WE => WE, 
	D => D(1), 
	RD => RD
);
END STRUCTURE;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY SCHEMATIC1 IS PORT (
	D : INOUT std_logic_vector(1 DOWNTO 0);
	A : IN std_logic_vector(1 DOWNTO 0);
	CSNEGADO : IN std_logic;
	WENEGADO : IN std_logic;
	RDNEGADO : IN std_logic
); END SCHEMATIC1;



ARCHITECTURE STRUCTURE OF SCHEMATIC1 IS

-- COMPONENTS

COMPONENT \74LS04\
	PORT (
	I_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I_B : IN std_logic;
	O_B : OUT std_logic;
	I_C : IN std_logic;
	O_C : OUT std_logic;
	I_D : IN std_logic;
	O_D : OUT std_logic;
	I_E : IN std_logic;
	O_E : OUT std_logic;
	I_F : IN std_logic;
	O_F : OUT std_logic
	); END COMPONENT;

COMPONENT PALABRA	 PORT (
	CS : IN std_logic;
	WE : IN std_logic;
	RD : IN std_logic;
	D : INOUT std_logic_vector(1 DOWNTO 0)
); END COMPONENT;

COMPONENT DECODIFICADOR	 PORT (
	A : IN std_logic_vector(1 DOWNTO 0);
	DECODIFICADOR : OUT std_logic_vector(3 DOWNTO 0);
	CSNEG : IN std_logic
); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic;
SIGNAL N00439 : std_logic;
SIGNAL GND : std_logic;
SIGNAL VCC : std_logic;
SIGNAL N05019 : std_logic;
SIGNAL CS3 : std_logic;
SIGNAL N05281 : std_logic;
SIGNAL N05290 : std_logic;
SIGNAL CS0 : std_logic;
SIGNAL CS1 : std_logic;
SIGNAL CS2 : std_logic;

-- INSTANCE ATTRIBUTES




-- GATE INSTANCES

BEGIN
U3 : \74LS04\	PORT MAP(
	I_A => orcad_unused, 
	O_A => OPEN, 
	VCC => OPEN, 
	GND => OPEN, 
	I_B => orcad_unused, 
	O_B => OPEN, 
	I_C => orcad_unused, 
	O_C => OPEN, 
	I_D => orcad_unused, 
	O_D => OPEN, 
	I_E => CSNEGADO, 
	O_E => N05019, 
	I_F => orcad_unused, 
	O_F => OPEN
);
U11 : \74LS04\	PORT MAP(
	I_A => WENEGADO, 
	O_A => N05290, 
	VCC => VCC, 
	GND => GND, 
	I_B => RDNEGADO, 
	O_B => N05281, 
	I_C => orcad_unused, 
	O_C => OPEN, 
	I_D => orcad_unused, 
	O_D => OPEN, 
	I_E => orcad_unused, 
	O_E => OPEN, 
	I_F => orcad_unused, 
	O_F => OPEN
);
PALABRA0 : PALABRA	PORT MAP(
	CS => CS0, 
	WE => N05290, 
	RD => N05281, 
	D(1) => D(1), 
	D(0) => D(0)
);
PALABRA1 : PALABRA	PORT MAP(
	CS => CS1, 
	WE => N05290, 
	RD => N05281, 
	D(1) => D(1), 
	D(0) => D(0)
);
PALABRA2 : PALABRA	PORT MAP(
	CS => CS2, 
	WE => N05290, 
	RD => N05281, 
	D(1) => D(1), 
	D(0) => D(0)
);
PALABRA3 : PALABRA	PORT MAP(
	CS => CS3, 
	WE => N05290, 
	RD => N05281, 
	D(1) => D(1), 
	D(0) => D(0)
);
DECODIFICADOR : DECODIFICADOR	PORT MAP(
	A(1) => A(1), 
	A(0) => A(0), 
	DECODIFICADOR(3) => OPEN, 
	DECODIFICADOR(2) => OPEN, 
	DECODIFICADOR(1) => OPEN, 
	DECODIFICADOR(0) => OPEN, 
	CSNEG => N05019
);
END STRUCTURE;

