LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY SR IS PORT (
	S : IN std_logic;
	Qnegado : OUT std_logic;
	Q : OUT std_logic;
	R : IN std_logic
); END SR;



ARCHITECTURE STRUCTURE OF SR IS

-- COMPONENTS

COMPONENT \74LS00\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	O_C : OUT std_logic;
	I0_D : IN std_logic;
	I1_D : IN std_logic;
	O_D : OUT std_logic
	); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic;
SIGNAL GND : std_logic;
SIGNAL VCC : std_logic;
SIGNAL N00016 : std_logic;
SIGNAL N00028 : std_logic;

-- INSTANCE ATTRIBUTES




-- GATE INSTANCES

BEGIN
QNEGADO<=N00016;
Q<=N00028;
U6 : \74LS00\	PORT MAP(
	I0_A => S, 
	I1_A => N00016, 
	O_A => N00028, 
	VCC => VCC, 
	GND => GND, 
	I0_B => N00028, 
	I1_B => R, 
	O_B => N00016, 
	I0_C => orcad_unused, 
	I1_C => orcad_unused, 
	O_C => OPEN, 
	I0_D => orcad_unused, 
	I1_D => orcad_unused, 
	O_D => OPEN
);
END STRUCTURE;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY CELDA IS PORT (
	CS : IN std_logic;
	I : IN std_logic;
	WE : IN std_logic;
	RD : IN std_logic;
	SALIDA : OUT std_logic
); END CELDA;



ARCHITECTURE STRUCTURE OF CELDA IS

-- COMPONENTS

COMPONENT \74LS11\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	I2_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	I2_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	I2_C : IN std_logic;
	O_C : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS126\
	PORT (
	I_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	OE_A : IN std_logic;
	GND : IN std_logic;
	I_B : IN std_logic;
	O_B : OUT std_logic;
	OE_B : IN std_logic;
	I_C : IN std_logic;
	O_C : OUT std_logic;
	OE_C : IN std_logic;
	I_D : IN std_logic;
	O_D : OUT std_logic;
	OE_D : IN std_logic
	); END COMPONENT;

COMPONENT \74LS04\
	PORT (
	I_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I_B : IN std_logic;
	O_B : OUT std_logic;
	I_C : IN std_logic;
	O_C : OUT std_logic;
	I_D : IN std_logic;
	O_D : OUT std_logic;
	I_E : IN std_logic;
	O_E : OUT std_logic;
	I_F : IN std_logic;
	O_F : OUT std_logic
	); END COMPONENT;

COMPONENT SR	 PORT (
	S : IN std_logic;
	Qnegado : OUT std_logic;
	Q : OUT std_logic;
	R : IN std_logic
); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic;
SIGNAL VCC : std_logic;
SIGNAL N00095 : std_logic;
SIGNAL N00017 : std_logic;
SIGNAL N00215 : std_logic;
SIGNAL N00344 : std_logic;
SIGNAL N00107 : std_logic;
SIGNAL N00104 : std_logic;
SIGNAL GND : std_logic;

-- INSTANCE ATTRIBUTES




-- GATE INSTANCES

BEGIN
U1 : \74LS11\	PORT MAP(
	I0_A => CS, 
	I1_A => I, 
	I2_A => WE, 
	O_A => N00104, 
	VCC => VCC, 
	GND => GND, 
	I0_B => CS, 
	I1_B => N00017, 
	I2_B => WE, 
	O_B => N00095, 
	I0_C => CS, 
	I1_C => N00344, 
	I2_C => RD, 
	O_C => N00215
);
U2 : \74LS126\	PORT MAP(
	I_A => N00107, 
	O_A => SALIDA, 
	VCC => VCC, 
	OE_A => N00215, 
	GND => GND, 
	I_B => orcad_unused, 
	O_B => OPEN, 
	OE_B => orcad_unused, 
	I_C => orcad_unused, 
	O_C => OPEN, 
	OE_C => orcad_unused, 
	I_D => orcad_unused, 
	O_D => OPEN, 
	OE_D => orcad_unused
);
U3 : \74LS04\	PORT MAP(
	I_A => I, 
	O_A => N00017, 
	VCC => VCC, 
	GND => GND, 
	I_B => WE, 
	O_B => N00344, 
	I_C => orcad_unused, 
	O_C => OPEN, 
	I_D => orcad_unused, 
	O_D => OPEN, 
	I_E => orcad_unused, 
	O_E => OPEN, 
	I_F => orcad_unused, 
	O_F => OPEN
);
SR : SR	PORT MAP(
	S => N00104, 
	Qnegado => OPEN, 
	Q => N00107, 
	R => N00095
);
END STRUCTURE;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY PALABRA IS PORT (
	SALIDA : OUT std_logic_vector(1 DOWNTO 0);
	I : IN std_logic_vector(1 DOWNTO 0);
	CS : IN std_logic;
	WE : IN std_logic;
	RD : IN std_logic
); END PALABRA;



ARCHITECTURE STRUCTURE OF PALABRA IS

-- COMPONENTS

COMPONENT CELDA	 PORT (
	CS : IN std_logic;
	I : IN std_logic;
	WE : IN std_logic;
	RD : IN std_logic;
	SALIDA : OUT std_logic
); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic;

-- INSTANCE ATTRIBUTES




-- GATE INSTANCES

BEGIN
CELDA : CELDA	PORT MAP(
	CS => CS, 
	I => I(0), 
	WE => WE, 
	RD => RD, 
	SALIDA => SALIDA(0)
);
END STRUCTURE;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY DECODIFICADOR IS PORT (
	A : IN std_logic_vector(1 DOWNTO 0);
	DECODIFICADOR : OUT std_logic_vector(3 DOWNTO 0)
); END DECODIFICADOR;



ARCHITECTURE STRUCTURE OF DECODIFICADOR IS

-- COMPONENTS

COMPONENT \74LS04\
	PORT (
	I_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I_B : IN std_logic;
	O_B : OUT std_logic;
	I_C : IN std_logic;
	O_C : OUT std_logic;
	I_D : IN std_logic;
	O_D : OUT std_logic;
	I_E : IN std_logic;
	O_E : OUT std_logic;
	I_F : IN std_logic;
	O_F : OUT std_logic
	); END COMPONENT;

COMPONENT \74LS08\
	PORT (
	I0_A : IN std_logic;
	I1_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I0_B : IN std_logic;
	I1_B : IN std_logic;
	O_B : OUT std_logic;
	I0_C : IN std_logic;
	I1_C : IN std_logic;
	O_C : OUT std_logic;
	I0_D : IN std_logic;
	I1_D : IN std_logic;
	O_D : OUT std_logic
	); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic;
SIGNAL N00604 : std_logic;
SIGNAL N00413 : std_logic;
SIGNAL GND : std_logic;
SIGNAL VCC : std_logic;

-- INSTANCE ATTRIBUTES




-- GATE INSTANCES

BEGIN
U3 : \74LS04\	PORT MAP(
	I_A => orcad_unused, 
	O_A => OPEN, 
	VCC => OPEN, 
	GND => OPEN, 
	I_B => orcad_unused, 
	O_B => OPEN, 
	I_C => A(0), 
	O_C => N00413, 
	I_D => A(1), 
	O_D => N00604, 
	I_E => orcad_unused, 
	O_E => OPEN, 
	I_F => orcad_unused, 
	O_F => OPEN
);
U4 : \74LS08\	PORT MAP(
	I0_A => N00413, 
	I1_A => N00604, 
	O_A => DECODIFICADOR(0), 
	VCC => VCC, 
	GND => GND, 
	I0_B => N00413, 
	I1_B => A(1), 
	O_B => DECODIFICADOR(1), 
	I0_C => A(0), 
	I1_C => N00604, 
	O_C => DECODIFICADOR(2), 
	I0_D => A(1), 
	I1_D => A(0), 
	O_D => DECODIFICADOR(3)
);
END STRUCTURE;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
ENTITY SCHEMATIC1 IS PORT (
	SALIDA : INOUT std_logic_vector(3 DOWNTO 0);
	CSNEGADO : IN std_logic;
	WENEGADO : IN std_logic;
	RDNEGADO : IN std_logic
); END SCHEMATIC1;



ARCHITECTURE STRUCTURE OF SCHEMATIC1 IS

-- COMPONENTS

COMPONENT \74LS04\
	PORT (
	I_A : IN std_logic;
	O_A : OUT std_logic;
	VCC : IN std_logic;
	GND : IN std_logic;
	I_B : IN std_logic;
	O_B : OUT std_logic;
	I_C : IN std_logic;
	O_C : OUT std_logic;
	I_D : IN std_logic;
	O_D : OUT std_logic;
	I_E : IN std_logic;
	O_E : OUT std_logic;
	I_F : IN std_logic;
	O_F : OUT std_logic
	); END COMPONENT;

COMPONENT PALABRA	 PORT (
	SALIDA : OUT std_logic_vector(1 DOWNTO 0);
	CS : IN std_logic;
	I : IN std_logic_vector(1 DOWNTO 0);
	WE : IN std_logic;
	RD : IN std_logic
); END COMPONENT;

COMPONENT DECODIFICADOR	 PORT (
	A : IN std_logic_vector(1 DOWNTO 0);
	DECODIFICADOR : OUT std_logic_vector(3 DOWNTO 0)
); END COMPONENT;

-- SIGNALS

SIGNAL orcad_unused:std_logic;
SIGNAL N00439 : std_logic;
SIGNAL A1 : std_logic;
SIGNAL GND : std_logic;
SIGNAL VCC : std_logic;
SIGNAL N00185 : std_logic;
SIGNAL N00143 : std_logic;
SIGNAL A2 : std_logic;
SIGNAL A3 : std_logic;
SIGNAL A0 : std_logic;

-- INSTANCE ATTRIBUTES




-- GATE INSTANCES

BEGIN
U3 : \74LS04\	PORT MAP(
	I_A => orcad_unused, 
	O_A => OPEN, 
	VCC => OPEN, 
	GND => OPEN, 
	I_B => orcad_unused, 
	O_B => OPEN, 
	I_C => orcad_unused, 
	O_C => OPEN, 
	I_D => orcad_unused, 
	O_D => OPEN, 
	I_E => CSNEGADO, 
	O_E => N00143, 
	I_F => WENEGADO, 
	O_F => N00185
);
U5 : \74LS04\	PORT MAP(
	I_A => RDNEGADO, 
	O_A => N00185, 
	VCC => VCC, 
	GND => GND, 
	I_B => orcad_unused, 
	O_B => OPEN, 
	I_C => orcad_unused, 
	O_C => OPEN, 
	I_D => orcad_unused, 
	O_D => OPEN, 
	I_E => orcad_unused, 
	O_E => OPEN, 
	I_F => orcad_unused, 
	O_F => OPEN
);
PALABRA : PALABRA	PORT MAP(
	SALIDA(1) => OPEN, 
	SALIDA(0) => OPEN, 
	CS => N00143, 
	I(1) => orcad_unused, 
	I(0) => orcad_unused, 
	WE => N00185, 
	RD => N00185
);
DECODIFICADOR : DECODIFICADOR	PORT MAP(
	A(1) => orcad_unused, 
	A(0) => orcad_unused, 
	DECODIFICADOR(3) => OPEN, 
	DECODIFICADOR(2) => OPEN, 
	DECODIFICADOR(1) => OPEN, 
	DECODIFICADOR(0) => OPEN
);
END STRUCTURE;

